Bug 517551 - Migrated systems can't provision guests (get ISE)
Summary: Migrated systems can't provision guests (get ISE)
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI
Version: 530
Hardware: All
OS: Linux
urgent
high
Target Milestone: ---
Assignee: Justin Sherrill
QA Contact: Preethi Thomas
URL:
Whiteboard:
Depends On:
Blocks: 456985
TreeView+ depends on / blocked
 
Reported: 2009-08-14 15:39 UTC by Justin Sherrill
Modified: 2009-09-10 20:39 UTC (History)
3 users (show)

Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-10 20:39:14 UTC


Attachments (Terms of Use)
traceback (1.78 KB, text/plain)
2009-08-14 16:19 UTC, Justin Sherrill
no flags Details

Description Justin Sherrill 2009-08-14 15:39:17 UTC
Description of problem:

You can't provision a guest on a migrated system.  You get an ISE when you try.



How reproducible:
Always

Steps to Reproduce:
1.  Register a system
2. Migrate the system
3. try to provision a guest onto the system
  
Actual results:
ISE 

Expected results:
Guest is provisioned

Comment 2 Justin Sherrill 2009-08-14 16:18:24 UTC
VADER db17c44d9a5c4830b4f6b408506b06d03353b455
master 1f53c4c

Comment 3 Justin Sherrill 2009-08-14 16:19:34 UTC
Created attachment 357478 [details]
traceback

Comment 5 Preethi Thomas 2009-08-18 17:26:37 UTC
verified
satellite:rlx-0-14
registered xen host(rlx-3-24 & rlx-3-08) to OrgA and migrated to OrgB
kickstared xen guest in orgB
now migrated the host back to OrgA and kicstarted a second guest.(rhel5u3 & 5u4 guests kickstarted on rhel5u3 and rhel5u4 host)

Comment 7 John Matthews 2009-08-24 15:02:35 UTC
RELEASE_PENDING 
tested on sun-x4200-01.rhts.bos, updated to latest content in stage (8/20).

Reg system to org 1, migrated to org "jwmorg"
Provisioned a guest when registered to "jwmorg"

Comment 8 Brandon Perkins 2009-09-10 20:39:14 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html


Note You need to log in before you can comment on or make changes to this bug.